# -*- coding: iso-8859-15 -*-
#==============================================================================
#
#	E I N S T E I N
#
#       Expert System for an Intelligent Supply of Thermal Energy in Industry
#       (<a href="http://www.iee-einstein.org/" target="_blank">www.iee-einstein.org</a>)
#
#------------------------------------------------------------------------------
#
#	WRITEUPDATE
#
#------------------------------------------------------------------------------
#
#       Update of SQL (not used in V2.3plus)
#
#==============================================================================
#
#	Version 2.3plus, 30.06.2015
#
#------------------------------------------------------------------------------
#
#	(C) copyright energyXperts.NET (E4-Experts GmbH), Berlin, Germany 2008-2015
#	http://www.energyxperts.net
#
#	all rights reserved
#
#==============================================================================
import os
from optparse import OptionParser
import ctypes
parser = OptionParser()
(options, args) = parser.parse_args()

    
try:
    n = ctypes.windll.kernel32.GetEnvironmentVariableW(u"APPDATA", None, 0)
    buf = ctypes.create_unicode_buffer(u'\0'*n)
    ctypes.windll.kernel32.GetEnvironmentVariableW(u"APPDATA", buf, n)
    APPDATA = os.path.join(buf.value, "einstein")
    
    path = str(args[1]) + "\sql"
    path = path.replace('\\', '/')
    
    updatelist = [elem for elem in os.listdir(path) 
                  if (elem.startswith('update_einsteinDB_') and
                      elem.endswith('.txt'))]
    
    fobj = open( str(args[2]) + "\\update.bat", "w")
    fobj.write(r'IF NOT EXIST "%s" mkdir "%s"' % (APPDATA, APPDATA) + "\n")
    for elem in updatelist:
        fobj.write(r'"%s" --user="%s" --password="%s" "%s" < "%s\sql\%s" >> "%s\einsteininstall.log" 2>&1 ' % 
                   (args[0], args[3], args[4], args[5], args[1], elem, APPDATA) + 
                   "\n")
except Exception, e:
    import sys, traceback
    exc_type, exc_value, exc_traceback = sys.exc_info()
    errorFile = open(APPDATA + "\einsteininstall.log", "a")
    traceback.print_exception(exc_type, exc_value, exc_traceback,
                              limit=2, file=errorFile)
    errorFile.close()
    raise
finally:
    fobj.close()
