# -*- coding: iso-8859-15 -*-
#==============================================================================
#
#    E I N S T E I N
#
#       Expert System for an Intelligent Supply of Thermal Energy in Industry
#       (<a href="http://www.iee-einstein.org/" target="_blank">www.iee-einstein.org</a>)
#
#------------------------------------------------------------------------------
#
#    spreadsheetIO: provides function for parsing excel or open office spreadsheets
#
#==============================================================================
#
#	Version 2.3plus, 30.06.2015
#
#------------------------------------------------------------------------------
#
#	(C) copyright energyXperts.NET (E4-Experts GmbH), Berlin, Germany 2008-2015
#	http://www.energyxperts.net
#
#	all rights reserved
#
#==============================================================================


from xmlIO import *
from parseExcel import *
from parseOO import *
from SpreadsheetProcessing import *
from einstein.GUI.status import *
from einstein.auxiliary.auxiliary import toGettextAndUnicode as _U


class ImportQ(object):
    #Import Dialog for questionnaires    
    def __init__(self):#,mode="ignore",infile=None):
        

        self.infile = openfilecreate('Choose a questionnaire file for importing',
                                     'Spreadsheet files (*.xls,*.ods)|*.xls;*.ods|Excel files (*.xls)|*.xls|Open Office calc files (*.ods)|*.ods'
                                     ,style=wx.FD_OPEN | wx.FD_FILE_MUST_EXIST)
        if self.infile is None:
            return None       
        
        frame = wx.GetApp().GetTopWindow()
        if self.infile.endswith('xls'):
            pe = SpreadsheetProcessing(self.infile, frame, 'xls')
            wx.MessageBox(pe.parse(), 'Info')
        elif self.infile.endswith('ods'):
            pe = SpreadsheetProcessing(self.infile, frame, 'ods')
            wx.MessageBox(pe.parse(), 'Info')
        else:
            wx.MessageBox('File corrupted', 'Info')
        
 
 
 