# -*- coding: utf-8 -*-
#==============================================================================
#
#	E I N S T E I N
#
#       Expert System for an Intelligent Supply of Thermal Energy in Industry
#       (www.iee-einstein.org)
#
#------------------------------------------------------------------------------
#
#	TEXTCONVERSION
#			
#------------------------------------------------------------------------------
#			
#	Short description:
#	
#	conversion functions from/to Unicode/UTF8 and gettext
#
#==============================================================================
#
#	(C) copyright energyXperts.NET (E4-Experts GmbH), Berlin, Germany 2008-2015
#	http://www.energyxperts.net
#
#	all rights reserved
#
#==============================================================================
def toGettext(text):
    return _(text)

def toGettextAndUnicode(text):
    try:
        return unicode(_(text), "utf-8")
    except:
        return _(text)
    
def toUnicode(text):
    try:
        return unicode((text), "utf-8")
    except:
        return (text)

def toUTF8(text):
    try:
        return text.encode("utf-8")
    except:
        return "---"

       
