#!/usr/bin/env python
# -*- coding: utf-8 -*-
#==============================================================================
#
#   E I N S T E I N
#
#       Expert System for an Intelligent Supply of Thermal Energy in Industry
#       (www.iee-einstein.org)
#
#------------------------------------------------------------------------------
#
#   Helper Class
#
#------------------------------------------------------------------------------
#
#   Tools for logging
#
#==============================================================================
#
#	Version 2.3plus, 30.06.2015
#
#------------------------------------------------------------------------------
#
#	(C) copyright energyXperts.NET (E4-Experts GmbH), Berlin, Germany 2008-2015
#	http://www.energyxperts.net
#
#	all rights reserved
#
#==============================================================================
import os
import sys
import codecs

ParameterFile = 'EINSTEIN Parameters 0.4.csv'

class ParameterDataHelper():
    def __init__(self):
        global ParameterFile        

    def ReadParameterData(self):
        parameterpath = os.path.join(sys.path[0]+"/GUI", ParameterFile)
        f = codecs.open(parameterpath, 'r',)
        guidata = {}
        for line in f:
            tmp = line.replace("\n","").replace("\\n","\n").split(';')
            guidata.update({tmp.pop(0): tmp})
        f.close
        return guidata

