#!/usr/bin/env python
# -*- coding: utf-8 -*-
#==============================================================================
#
#   E I N S T E I N
#
#       Expert System for an Intelligent Supply of Thermal Energy in Industry
#       (www.iee-einstein.org)
#
#------------------------------------------------------------------------------
#
#   SortListCtrl
#
#------------------------------------------------------------------------------
#
#   ListCtrl with sorter mixin for xrc
#
#==============================================================================
#
#	Version 2.3plus, 30.06.2015
#
#------------------------------------------------------------------------------
#
#	(C) copyright energyXperts.NET (E4-Experts GmbH), Berlin, Germany 2008-2015
#	http://www.energyxperts.net
#
#	all rights reserved
#
#==============================================================================
import wx
import wx.lib.mixins.listctrl  as  listmix

class SortListCtrl(wx.ListCtrl, listmix.ColumnSorterMixin):

    def __init__(self):
        p = wx.PreListCtrl()
        self.PostCreate(p)

    def GetListCtrl(self):
        return self

    def initSort(self):
        listmix.ColumnSorterMixin.__init__(self, self.GetColumnCount())
