#!/usr/bin/env python
# -*- coding: utf-8 -*-
#==============================================================================
#
#   E I N S T E I N
#
#       Expert System for an Intelligent Supply of Thermal Energy in Industry
#       (www.iee-einstein.org)
#
#------------------------------------------------------------------------------
#
#   SortListCtrlXMLHandler
#
#------------------------------------------------------------------------------
#
#   XML handler for SortListCtrl
#
#==============================================================================
#
#	Version 2.3plus, 30.06.2015
#
#------------------------------------------------------------------------------
#
#	(C) copyright energyXperts.NET (E4-Experts GmbH), Berlin, Germany 2008-2015
#	http://www.energyxperts.net
#
#	all rights reserved
#
#==============================================================================
import wx.xrc

class SortListCtrlXmlHandler(wx.xrc.XmlResourceHandler):

    def __init__(self):
        wx.xrc.XmlResourceHandler.__init__(self)

    def CanHandle(self, node):
        return self.IsOfClass(node, "SortListCtrl")
