# simple example for constrained optimisation
def sphere(x, pars):
    """
    Returns vector (x-xo)/r
    """
    xo, r = pars
    return (x-xo)/r

class TestFunction():
    def __init__(self, code, pars):
        if code=="sphere":
            self.func = sphere
            
        self.pars = pars

    def f(self, x):
        """ passes parameters to the specific function
        """
        return self.func(x, self.pars)
        

tf = TestFunction("spere", (np.array([1, 2, 3]), 4.0))

def fv(x):
    """ vector function
    """
    return tf.f(x)

def f(x):
    """ scalar function
    """
    return np.sum(np.square(tf.f(x)))
    





xo = np.zeros(3)
xo[2] += 17

cdict = ({"type": "eq", "fun": res})
blist = [(1.0, 1.9), (1.86, 2.6), (5., 10)]

result = minimize(logpsum, xo, method="SLSQP", bounds=blist, constraints = cdict)

print result


# Test 2 example:
# sum(xi) = 1. with 3 values, each of which has an average of 0.5

def logpsum2(x):
    return logp(x[0] - 0.5, 0.5) + logp(x[1] - 0.5, 0.5) + logp(x[2] - 0.5, 0.5) 

def res2(x):
    return np.sum(x) - 1.0

xo = np.zeros(3)
