import os

from constants import APPDATA

def remove(name, folder=None):
    """
    calls os.remove after checking if file exists
    default folder = APPDATA
    """
    path = os.path.join(APPDATA if folder is None else folder, name)
    if os.path.exists(path): os.remove(path)

def exists(name, folder=None):
    path = os.path.join(APPDATA if folder is None else folder, name)
    return os.path.exists(path)
